> For the complete documentation index, see [llms.txt](https://docs.predicthq.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.predicthq.com/api/beam/analysis-groups/partially-update-an-analysis-group.md).

# Partially update an Analysis Group

Partially update an existing Analysis Group.

## Partially Update an Analysis Group

> Partially update an existing Analysis Group.\
> \
> This endpoint accepts the same request body fields as the Create an Analysis Group endpoint.\
> \
> Remember this is a PATCH endpoint which means only the fields you provide will be updated.\
> \
> If you wish to replace all fields please use the PUT endpoint.

```json
{"openapi":"3.1.0","info":{"title":"PredictHQ Beam API","version":"1.0.0"},"tags":[{"name":"Analysis Groups"}],"servers":[{"url":"https://api.predicthq.com"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"$API_KEY","description":"Enter your PredictHQ API key. The Bearer prefix is added automatically.\n\nWhen calling the API directly, send: `Authorization: Bearer <YOUR_API_KEY>` as documented at [https://docs.predicthq.com/api/overview/authenticating](https://docs.predicthq.com/api/overview/authenticating)\n"}},"schemas":{"PatchAnalysisGroupRequest":{"type":"object","properties":{"name":{"description":"Name of an analysis group.","type":"string","maxLength":256,"minLength":1,"title":"Name"},"analysis_ids":{"description":"The list of existing analysis IDs to include in the group.\n\nAnalyses can belong to multiple groups. Analyses must have the same demand type (the `interval` must match\nand, for weekly analyses, `week_start_day` must also be consistent).\nEvery analysis in the group must have the same `industry`, if set.","type":"array","items":{"type":"string","maxLength":256},"maxItems":1200,"title":"Analysis Ids"},"demand_type":{"description":"Optional demand type settings for the group. Currently supports `unit_descriptor` to customize labels.\nIf omitted, settings are derived from the included analyses.","$ref":"#/components/schemas/AnalysisGroupDemandTypeInput"}},"title":"PatchAnalysisGroupRequest"},"AnalysisGroupDemandTypeInput":{"type":"object","properties":{"unit_descriptor":{"description":"The description of the unit of demand, which specifies the type or measure being quantified (e.g.,\n\"Occupancy Rate\", \"Sales\", \"Number of Transactions\").","type":"string","default":"Sales","maxLength":256,"title":"Unit Descriptor"}},"title":"AnalysisGroupDemandTypeInput"},"HTTPError":{"type":"object","properties":{"error":{"description":"A human-readable error message.","type":"string","title":"Error"}},"required":["error"],"title":"HTTPError"},"ValidationError":{"type":"object","properties":{"field":{"description":"The path to the field that failed validation.","type":"array","items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location"},"msg":{"description":"A human-readable validation error message.","type":"string","title":"Message"},"type":{"description":"The type of validation error.","type":"string","title":"Error Type"}},"required":["field","msg","type"],"title":"ValidationError"}}},"paths":{"/v1/beam/analysis-groups/{group_id}":{"patch":{"operationId":"patch_analysis_group","summary":"Partially Update an Analysis Group","description":"Partially update an existing Analysis Group.\n\nThis endpoint accepts the same request body fields as the Create an Analysis Group endpoint.\n\nRemember this is a PATCH endpoint which means only the fields you provide will be updated.\n\nIf you wish to replace all fields please use the PUT endpoint.","parameters":[{"name":"group_id","in":"path","description":"An Analysis Group ID. Analyses that belong to this group will be returned.","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PatchAnalysisGroupRequest"}}}},"responses":{"202":{"description":"Successful Response"},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/HTTPError"},{"$ref":"#/components/schemas/ValidationError"}]}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPError"}}}},"403":{"description":"Bearer token scope insufficient","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPError"}}}},"404":{"description":"Analysis Group not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPError"}}}},"409":{"description":"Data conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPError"}}}}},"tags":["Analysis Groups"]}}}}
```

## Examples

To update the name of an Analysis Group:

{% tabs %}
{% tab title="curl" %}

```bash
curl -X PATCH "https://api.predicthq.com/v1/beam/analysis-groups/$GROUP_ID" \
     -H "Accept: application/json" \
     -H "Authorization: Bearer $API_TOKEN" \
     --data @<(cat <<EOF
    {
        "name": "Analysis Group 2",
    }
    EOF
    )  
```

{% endtab %}

{% tab title="python" %}

```python
import requests

response = requests.patch(
    url="https://api.predicthq.com/v1/beam/analysis-groups/$GROUP_ID",
    headers={
        "Authorization": "Bearer $API_TOKEN",
        "Accept": "application/json"
    },
    json={
        "name": "Analysis Group 2"
    }
)

print(response.status_code)
```

{% endtab %}
{% endtabs %}

## OpenAPI spec

See the [Beam API OpenAPI spec](https://api.predicthq.com/docs/?urls.primaryName=Beam+API).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.predicthq.com/api/beam/analysis-groups/partially-update-an-analysis-group.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
